KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. Music Generation
  • Suno API Quickstart
  • Music Generation
    • Music Cover Generation Callbacks
    • Music Generation Callbacks
    • Music Extension Callbacks
    • Audio Upload and Cover Callbacks
    • Audio Upload and Extension Callbacks
    • Add Instrumental Callbacks
    • Add Vocals Callbacks
    • Replace Music Section Callbacks
    • Generate Music
      POST
    • Extend Music
      POST
    • Upload And Cover Audio
      POST
    • Upload And Extend Audio
      POST
    • Add Instrumental to Music
      POST
    • Add Vocals to Music
      POST
    • Get Music Task Details
      GET
    • Get Timestamped Lyrics
      POST
    • Boost Music Style
      POST
    • Generate Music Cover
      POST
    • Get Cover Generation Details
      GET
    • Replace Music Section
      POST
    • Generate Persona
      POST
    • Generate Mashup Music
      POST
    • Recovery Audio
      POST
  • Lyrics Generation
    • Lyrics Generation Callbacks
    • Generate Lyrics
      POST
    • Get Lyrics Task Details
      GET
  • WAV Conversion
    • Convert to WAV Callbacks
    • Convert to WAV Format
    • Get WAV Conversion Details
  • Vocal Removal
    • Audio Separation Callbacks
    • MIDI Generation Callbacks
    • Vocal & Instrument Stem Separation
    • Get Vocal Separation Details
    • Generate MIDI from Audio
    • Get MIDI Generation Details
  • Music Video Generation
    • Music Video Generation Callbacks
    • Create Music Video
    • Get Music Video Details
  • Sounds Generation
    • Generate sounds
  • voice
    • Suno Voice Generation Callback
    • Suno Voice Validation Phrase Callback
    • Suno Voice Generate Verification Phrase API
    • Suno Voice Get Verification Phrase API
    • Suno Voice Create Custom Voice API
    • Suno Voice Get Custom Voice Records
    • Suno Voice Regenerate Verification Phrase
    • Suno Voice Check Availability API
  1. Music Generation

Get Music Task Details

GET
/api/v1/generate/record-info
Retrieve detailed information about a music generation task.

Usage Guide#

Use this endpoint to check task status and access generation results
Task details include status, parameters, and generated tracks
Generated tracks can be accessed through the returned URLs

Status Descriptions#

PENDING: Task is waiting to be processed
TEXT_SUCCESS: Lyrics/text generation completed successfully
FIRST_SUCCESS: First track generation completed
SUCCESS: All tracks generated successfully
CREATE_TASK_FAILED: Failed to create task
GENERATE_AUDIO_FAILED: Failed to generate audio
CALLBACK_EXCEPTION: Error during callback process
SENSITIVE_WORD_ERROR: Content filtered due to sensitive words

Developer Notes#

For instrumental tracks (instrumental=true), no lyrics data will be included
Maximum query rate: 3 requests per second per task
Response includes direct URLs to audio files, images, and streaming endpoints

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/generate/record-info?taskId=5c79****be8e' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - 成功示例
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "5c79****be8e",
        "parentMusicId": "",
        "param": "{\"prompt\":\"A calm piano track\",\"style\":\"Classical\",\"title\":\"Peaceful Piano\",\"customMode\":true,\"instrumental\":true,\"model\":\"V3_5\"}",
        "response": {
            "taskId": "5c79****be8e",
            "sunoData": [
                {
                    "id": "e231****-****-****-****-****8cadc7dc",
                    "audio_url": "https://example.cn/****.mp3",
                    "source_audio_url": "",
                    "stream_audio_url": "https://example.cn/****",
                    "source_stream_audio_url": "https://example.cn/****",
                    "image_url": "https://example.cn/****.jpeg",
                    "source_image_url": "https://example.cn/****.jpeg",
                    "prompt": "[Verse] The city at night is ablaze with lights.",
                    "model_name": "chirp-v3-5",
                    "title": "Iron Man",
                    "tags": "electrifying, rock",
                    "createTime": "2025-01-01 00:00:00",
                    "duration": 198.44
                }
            ]
        },
        "status": "SUCCESS",
        "type": "GENERATE",
        "operationType": "generate",
        "errorCode": null,
        "errorMessage": null
    }
}
Previous
Add Vocals to Music
Next
Get Timestamped Lyrics
Built with